import { ObjectLike, ObjectMapper, ObjectFilter, PickOmit } from './types.js';
export { default as count } from './count.js';
export { default as countBy } from './countBy.js';
export { default as every } from './every.js';
export { default as omit } from './omit.js';
export { default as omitBy } from './omitBy.js';
export { default as omitNull } from './omitNull.js';
export { default as pad } from './pad.js';
export { default as pick } from './pick.js';
export { default as pickBy } from './pickBy.js';

declare const _default: {
    countBy: <T>(object: ObjectLike<T>, mapper?: ObjectMapper<T>) => ObjectLike<number>;
    count: <T_1>(object: ObjectLike<T_1>, filter: ObjectFilter<T_1>) => number;
    every: <T_2>(object: ObjectLike<T_2>, filter: ObjectFilter<T_2>) => boolean;
    omit: PickOmit;
    omitBy: <T_3>(object: ObjectLike<T_3>, filter: ObjectFilter<T_3>) => Record<string, T_3>;
    omitNull: <T_4>(object: ObjectLike<T_4>, filter?: ObjectFilter<T_4>) => Record<string, T_4>;
    pad: (string: string, width?: number, fillString?: string) => string;
    pick: PickOmit;
    pickBy: <T_5>(object: ObjectLike<T_5>, filter: ObjectFilter<T_5>) => Record<string, T_5>;
};

export { _default as default };
